%global module_name backports.lzma

%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:           python-backports-lzma
Version:        0.0.2
Release:        %mkrel 6
Summary:        Backport of Python 3.3's lzma module
Group:          Development/Python
License:        BSD
URL:            https://github.com/peterjc/backports.lzma
Source0:        https://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz
Source1:        https://raw.github.com/peterjc/backports.lzma/backports.lzma.v0.0.2/LICENSE

BuildRequires:  pkgconfig(python2)
BuildRequires:  lzma-devel
BuildRequires:  python-nose
BuildRequires:  python-pytest
Requires:       python-backports

%description
This is a backport of the "lzma" module included in Python 3.3 or later by
Nadeem Vawda and Per Oyvind Karlsen, which provides a Python wrapper for XZ
Utils (aka LZMA Utils v2) by Igor Pavlov.


%prep
%setup -qn %{module_name}-%{version}
cp %{SOURCE1} ./


%build
%py2_build


%install
%py2_install

chmod 755 %{buildroot}%{python2_sitearch}/backports/lzma/_lzma.so
# This file is provided by python-backports
rm %{buildroot}%{python2_sitearch}/backports/__init__.py*


%check
cp build/lib*/backports/lzma/_lzma.so backports/lzma/
nosetests

 
%files
%doc LICENSE
%{python2_sitearch}/*


%changelog
* Sun Jan 08 2017 daviddavid <daviddavid> 0.0.2-6.mga6
+ Revision: 1080687
- rebuild against python-pytest
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 0.0.2-5.mga6
+ Revision: 942483
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-4.mga5
+ Revision: 742695
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.2-3.mga5
+ Revision: 728101
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-2.mga5
+ Revision: 687898
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 bcornec <bcornec> 0.0.2-1.mga5
+ Revision: 673069
- Group added
- Update sha1
- Import python-backports-lzma from Fedora for docker-registry
- Created package structure for python-backports-lzma.

